Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#7 add MIME-Version to codestriker emails

closed-accepted
nobody
None
5
2007-06-29
2006-09-10
Vadim Zeitlin
No

Version 1.9.2 uses Content-Type and
Content-Transfer-Encoding headers in the emails it
sends but these headers are invalid in a messages not
conforming to the MIME specification, quoting section 4
of RFC 2045:

Messages composed in accordance with this document
MUST include such a header field, with the following
verbatim text:

MIME-Version: 1.0

So for the messages to be interpreted correctly, the
following trivial patch should be applied:

--- ./lib/Codestriker/TopicListeners/Email.pm.orig
2006-09-10 22:24:39.000000000 +0200
+++ ./lib/Codestriker/TopicListeners/Email.pm
2006-09-10 22:24:54.000000000 +0200
@@ -498,4 +498,5 @@
$smtp->datasend("Content-Type: text/plain;
charset=\"utf-8\"\n");
$smtp->datasend("Content-Transfer-Encoding:
quoted-printable\n");
+ $smtp->datasend("MIME-Version: 1.0\n");

# Insert a blank line for the body.

Discussion

  • David Sitsky
    David Sitsky
    2006-09-10

    Logged In: YES
    user_id=208928

    Thanks for that - I'll make sure this get committed in for
    1.9.3.

    Cheers,
    David

     
  • David Sitsky
    David Sitsky
    2007-06-29

    Logged In: YES
    user_id=208928
    Originator: NO

    Thanks - finally got around to applying this! Will appear in the next release.

     
  • David Sitsky
    David Sitsky
    2007-06-29

    • status: open --> closed-accepted